View Issue Details

IDProjectCategoryView StatusLast Update
17144Bug reportsImport/Exportpublic2021-03-29 12:31
Reporterdangc Assigned Toc_schmitz  
PriorityhighSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.4.12 
Summary17144: Can't edit questions after import
DescriptionAfter importing a survey exported to .lss with an older version of LimeSurvey I can't edit any question. Clicking on the link to edit question (index.php/questionAdministration/view?surveyid=839658&gid=634&qid=3105&1614289115575) I get a 500 error:

An exception has been thrown during the rendering of a template ("Question and its behaviors do not have a method or closure named "relevance".").
Steps To ReproduceImport the attached .lss into a new survey
Try to edit a question
Additional InformationI initially reported the issue here: https://forums.limesurvey.org/forum/installation-a-update-issues/123823-can-t-edit-question-after-import-500-error

User DenisChenu suggested this fix (untested):
 A quick fix : add

    /** Set defaut relevance **/
    public $relevance ="";


at this line
github.com/LimeSurvey/LimeSurvey/blob/ae...els/Question.php#L88
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.4.10+210222
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysqlnd 5.0.12-dev - 20150407
Server OS (if known)
Webserver software & version (if known)
PHP Version7.2.34

Activities

dangc

dangc

2021-02-28 19:57

reporter  

DenisChenu

DenisChenu

2021-03-01 08:53

developer   ~62568

Seems issue is because relevance of subquestion is NULL in database.

Adding default value in model fix the issue
Twig_Error_RuntimeError.html (72,495 bytes)   
<!DOCTYPE html PUBLIC
	"-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<title>Twig\Error\RuntimeError</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>Twig\Error\RuntimeError</h1>

	<p class="message">
		An exception has been thrown during the rendering of a template (&quot;Question and its behaviors do not have a method or closure named &quot;relevance&quot;.&quot;).	</p>

	<div class="source">
		<p class="file">/mnt/data/shnoulle/nginx/www/master/application/views/questionAdministration/subquestionRow.twig(125)</p>
		<div class="code"><pre><span class="ln">113</span>     &lt;/td&gt;
<span class="ln">114</span> 
<span class="ln">115</span>     &lt;!-- Relevance equation --&gt;
<span class="ln">116</span>     {% if first and scale_id == 0 %}
<span class="ln">117</span>         &lt;td class=&quot;relevance-equation&quot;&gt;
<span class="ln">118</span>             &lt;input
<span class="ln">119</span>                 data-toggle=&quot;tooltip&quot;
<span class="ln">120</span>                 data-title=&quot;{{ gT(&quot;Click to expand&quot;) }}&quot;
<span class="ln">121</span>                 type=&#039;text&#039;
<span class="ln">122</span>                 class=&#039;relevance form-control input&#039;
<span class="ln">123</span>                 id=&#039;subquestions[{{ subquestion.qid }}][{{ scale_id }}][relevance]&#039;
<span class="ln">124</span>                 name=&#039;subquestions[{{ subquestion.qid }}][{{ scale_id }}][relevance]&#039;
<span class="error"><span class="ln error-ln">125</span>                 value=&quot;{{ subquestion.relevance }}&quot;
</span><span class="ln">126</span>                 onkeypress=&quot; if(event.keyCode==13) { if (event &amp;&amp; event.preventDefault) event.preventDefault(); document.getElementById(&#039;save-button&#039;).click(); return false;}&quot;
<span class="ln">127</span>             /&gt;
<span class="ln">128</span>         &lt;/td&gt;
<span class="ln">129</span>     {%  else %}
<span class="ln">130</span>         &lt;!-- TOOD: Why render and then hide? --&gt;
<span class="ln">131</span>         &lt;span style=&quot;display: none&quot; class=&quot;relevance relevance-equation&quot;&gt;
<span class="ln">132</span>             {# subquestion.relevance #}
<span class="ln">133</span>         &lt;/span&gt;
<span class="ln">134</span>     {%  endif %}
<span class="ln">135</span> 
<span class="ln">136</span>     &lt;!-- Icons add/edit/delete --&gt;
<span class="ln">137</span>     &lt;td style=&quot;vertical-align: middle; white-space: nowrap;&quot; class=&quot;subquestion-actions&quot;&gt;
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tr class="trace app expanded">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/third_party/Twig/Template.php(422): <strong>Twig\Template</strong>-><strong>displayWithErrorHandling</strong>(array(&quot;activated&quot; =&gt; false, &quot;scalecount&quot; =&gt; 1, &quot;subquestions&quot; =&gt; array(array(Question)), &quot;question&quot; =&gt; Question, ...), array())				</div>

				<div class="code"><pre><span class="ln">417</span>         return $this-&gt;blocks;
<span class="ln">418</span>     }
<span class="ln">419</span> 
<span class="ln">420</span>     public function display(array $context, array $blocks = [])
<span class="ln">421</span>     {
<span class="error"><span class="ln error-ln">422</span>         $this-&gt;displayWithErrorHandling($this-&gt;env-&gt;mergeGlobals($context), array_merge($this-&gt;blocks, $blocks));
</span><span class="ln">423</span>     }
<span class="ln">424</span> 
<span class="ln">425</span>     public function render(array $context)
<span class="ln">426</span>     {
<span class="ln">427</span>         $level = ob_get_level();
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/tmp/runtime/twig_cache/5c/5c35a6bca658a0e64eab6326ccfd076bc0c2928ebdfa3b41b3d03ab9a5f3ea40.php(247): <strong>Twig\Template</strong>-><strong>display</strong>(array(&quot;activated&quot; =&gt; false, &quot;scalecount&quot; =&gt; 1, &quot;subquestions&quot; =&gt; array(array(Question)), &quot;question&quot; =&gt; Question, ...))				</div>

				<div class="code"><pre><span class="ln">242</span>                     // line 67
<span class="ln">243</span>                     echo &quot;                        &lt;!-- Line tag --&gt;
<span class="ln">244</span>                         &quot;;
<span class="ln">245</span>                     // line 68
<span class="ln">246</span>                     $this-&gt;loadTemplate(&quot;subquestionRow.twig&quot;, &quot;__string_template__4ec27c84895301e1f7d9c7a23a631f0b19e5f795ac91ed020f60f0f85ff24a3e&quot;, 68)-&gt;display(twig_array_merge($context, [&quot;position&quot; =&gt;                     // line 69
<span class="error"><span class="ln error-ln">247</span> ($context[&quot;position&quot;] ?? null), &quot;scale_id&quot; =&gt;                     // line 70
</span><span class="ln">248</span> $context[&quot;scale_id&quot;], &quot;activated&quot; =&gt;                     // line 71
<span class="ln">249</span> ($context[&quot;activated&quot;] ?? null), &quot;first&quot; =&gt;                     // line 72
<span class="ln">250</span> ($context[&quot;first&quot;] ?? null), &quot;subquestion&quot; =&gt;                     // line 73
<span class="ln">251</span> $context[&quot;subquestion&quot;], &quot;subquestionl10n&quot; =&gt; $this-&gt;getAttribute($this-&gt;getAttribute(                    // line 74
<span class="ln">252</span> $context[&quot;subquestion&quot;], &quot;questionl10ns&quot;, []), $context[&quot;lang&quot;], [], &quot;array&quot;), &quot;language&quot; =&gt;                     // line 75
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/third_party/Twig/Template.php(455): <strong>__TwigTemplate_48665f104153a6e9fde951389338ae5c43c3a6ef3e75405c2c642b4e19eb70f6</strong>-><strong>doDisplay</strong>(array(&quot;activated&quot; =&gt; false, &quot;scalecount&quot; =&gt; 1, &quot;subquestions&quot; =&gt; array(array(Question)), &quot;question&quot; =&gt; Question, ...), array())				</div>

				<div class="code"><pre><span class="ln">450</span>     }
<span class="ln">451</span> 
<span class="ln">452</span>     protected function displayWithErrorHandling(array $context, array $blocks = [])
<span class="ln">453</span>     {
<span class="ln">454</span>         try {
<span class="error"><span class="ln error-ln">455</span>             $this-&gt;doDisplay($context, $blocks);
</span><span class="ln">456</span>         } catch (Error $e) {
<span class="ln">457</span>             if (!$e-&gt;getSourceContext()) {
<span class="ln">458</span>                 $e-&gt;setSourceContext($this-&gt;getSourceContext());
<span class="ln">459</span>             }
<span class="ln">460</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/third_party/Twig/Template.php(422): <strong>Twig\Template</strong>-><strong>displayWithErrorHandling</strong>(array(&quot;activated&quot; =&gt; false, &quot;scalecount&quot; =&gt; 1, &quot;subquestions&quot; =&gt; array(array(Question)), &quot;question&quot; =&gt; Question, ...), array())				</div>

				<div class="code"><pre><span class="ln">417</span>         return $this-&gt;blocks;
<span class="ln">418</span>     }
<span class="ln">419</span> 
<span class="ln">420</span>     public function display(array $context, array $blocks = [])
<span class="ln">421</span>     {
<span class="error"><span class="ln error-ln">422</span>         $this-&gt;displayWithErrorHandling($this-&gt;env-&gt;mergeGlobals($context), array_merge($this-&gt;blocks, $blocks));
</span><span class="ln">423</span>     }
<span class="ln">424</span> 
<span class="ln">425</span>     public function render(array $context)
<span class="ln">426</span>     {
<span class="ln">427</span>         $level = ob_get_level();
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/third_party/Twig/Template.php(434): <strong>Twig\Template</strong>-><strong>display</strong>(array(&quot;activated&quot; =&gt; false, &quot;scalecount&quot; =&gt; 1, &quot;subquestions&quot; =&gt; array(array(Question)), &quot;question&quot; =&gt; Question, ...))				</div>

				<div class="code"><pre><span class="ln">429</span>             ob_start();
<span class="ln">430</span>         } else {
<span class="ln">431</span>             ob_start(function () { return &#039;&#039;; });
<span class="ln">432</span>         }
<span class="ln">433</span>         try {
<span class="error"><span class="ln error-ln">434</span>             $this-&gt;display($context);
</span><span class="ln">435</span>         } catch (\Exception $e) {
<span class="ln">436</span>             while (ob_get_level() &gt; $level) {
<span class="ln">437</span>                 ob_end_clean();
<span class="ln">438</span>             }
<span class="ln">439</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/third_party/Twig/TemplateWrapper.php(47): <strong>Twig\Template</strong>-><strong>render</strong>(array(&quot;activated&quot; =&gt; false, &quot;scalecount&quot; =&gt; 1, &quot;subquestions&quot; =&gt; array(array(Question)), &quot;question&quot; =&gt; Question, ...), false)				</div>

				<div class="code"><pre><span class="ln">42</span>      */
<span class="ln">43</span>     public function render($context = [])
<span class="ln">44</span>     {
<span class="ln">45</span>         // using func_get_args() allows to not expose the blocks argument
<span class="ln">46</span>         // as it should only be used by internal code
<span class="error"><span class="ln error-ln">47</span>         return $this-&gt;template-&gt;render($context, \func_num_args() &gt; 1 ? func_get_arg(1) : []);
</span><span class="ln">48</span>     }
<span class="ln">49</span> 
<span class="ln">50</span>     /**
<span class="ln">51</span>      * Displays the template.
<span class="ln">52</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/core/LSETwigViewRenderer.php(500): <strong>Twig\TemplateWrapper</strong>-><strong>render</strong>(array(&quot;activated&quot; =&gt; false, &quot;scalecount&quot; =&gt; 1, &quot;subquestions&quot; =&gt; array(array(Question)), &quot;question&quot; =&gt; Question, ...), false)				</div>

				<div class="code"><pre><span class="ln">495</span>             list($sString, $aDatas) = $this-&gt;getPluginsData($sString, $aDatas);
<span class="ln">496</span>         }
<span class="ln">497</span> 
<span class="ln">498</span>         // Twig rendering
<span class="ln">499</span>         $oTwigTemplate = $twig-&gt;createTemplate($sString);
<span class="error"><span class="ln error-ln">500</span>         $sHtml         = $oTwigTemplate-&gt;render($aDatas, false);
</span><span class="ln">501</span> 
<span class="ln">502</span>         return $sHtml;
<span class="ln">503</span>     }
<span class="ln">504</span> 
<span class="ln">505</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/core/LSETwigViewRenderer.php(225): <strong>LSETwigViewRenderer</strong>-><strong>convertTwigToHtml</strong>(&quot;&lt;input type=&#039;hidden&#039; name=&#039;subquestions_sortorder&#039; value=&#039;&#039; /&gt;
&lt;...&quot;, array(&quot;activated&quot; =&gt; false, &quot;scalecount&quot; =&gt; 1, &quot;subquestions&quot; =&gt; array(array(Question)), &quot;question&quot; =&gt; Question, ...))				</div>

				<div class="code"><pre><span class="ln">220</span>             $viewFile = $sLayoutFilePath;
<span class="ln">221</span>         }
<span class="ln">222</span> 
<span class="ln">223</span>         if (file_exists($viewFile)) {
<span class="ln">224</span>             $line       = file_get_contents($viewFile);
<span class="error"><span class="ln error-ln">225</span>             $sHtml      = $this-&gt;convertTwigToHtml($line, $aDatas);
</span><span class="ln">226</span> 
<span class="ln">227</span>             if ($bReturn) {
<span class="ln">228</span>                 return $sHtml;
<span class="ln">229</span>             } else {
<span class="ln">230</span>                 $this-&gt;renderHtmlPage($sHtml, $oTemplate);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/views/questionAdministration/advancedSettings.php(65): <strong>LSETwigViewRenderer</strong>-><strong>renderViewFromFile</strong>(&quot;/application/views/questionAdministration/subquestions.twig&quot;, array(&quot;activated&quot; =&gt; false, &quot;scalecount&quot; =&gt; 1, &quot;subquestions&quot; =&gt; array(array(Question)), &quot;question&quot; =&gt; Question, ...), true)				</div>

				<div class="code"><pre><span class="ln">60</span>                                 &#039;question&#039;     =&gt; $question,
<span class="ln">61</span>                                 &#039;allLanguages&#039; =&gt; $oSurvey-&gt;allLanguages,
<span class="ln">62</span>                                 &#039;language&#039;     =&gt; $oSurvey-&gt;language,
<span class="ln">63</span>                                 &#039;hasLabelSetPermission&#039; =&gt; Permission::model()-&gt;hasGlobalPermission(&#039;labelsets&#039;,&#039;create&#039;),
<span class="ln">64</span>                             ],
<span class="error"><span class="ln error-ln">65</span>                             true
</span><span class="ln">66</span>                         ); ?&gt;
<span class="ln">67</span>                     &lt;/div&gt;
<span class="ln">68</span>                 &lt;?php endif; ?&gt;
<span class="ln">69</span>                 &lt;?php if ($question-&gt;questionType-&gt;answerscales &gt; 0): ?&gt;
<span class="ln">70</span>                     &lt;div role=&quot;tabpanel&quot; class=&quot;tab-pane&quot; id=&quot;answeroptions&quot;&gt;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CBaseController.php(126): <strong>require</strong>(&quot;/mnt/data/shnoulle/nginx/www/master/application/views/questionAd...&quot;)				</div>

				<div class="code"><pre><span class="ln">121</span>             $data=$_data_;
<span class="ln">122</span>         if($_return_)
<span class="ln">123</span>         {
<span class="ln">124</span>             ob_start();
<span class="ln">125</span>             ob_implicit_flush(false);
<span class="error"><span class="ln error-ln">126</span>             require($_viewFile_);
</span><span class="ln">127</span>             return ob_get_clean();
<span class="ln">128</span>         }
<span class="ln">129</span>         else
<span class="ln">130</span>             require($_viewFile_);
<span class="ln">131</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CBaseController.php(95): <strong>CBaseController</strong>-><strong>renderInternal</strong>(&quot;/mnt/data/shnoulle/nginx/www/master/application/views/questionAd...&quot;, array(&quot;question&quot; =&gt; Question, &quot;oSurvey&quot; =&gt; Survey, &quot;advancedSettings&quot; =&gt; array(&quot;Display&quot; =&gt; array(array(&quot;name&quot; =&gt; &quot;repeat_headings&quot;, &quot;caption&quot; =&gt; &quot;Repeat headers&quot;, &quot;inputtype&quot; =&gt; &quot;integer&quot;, &quot;options&quot; =&gt; null, ...), array(&quot;name&quot; =&gt; &quot;answer_width&quot;, &quot;caption&quot; =&gt; &quot;(Sub-)question width&quot;, &quot;inputtype&quot; =&gt; &quot;integer&quot;, &quot;options&quot; =&gt; null, ...), array(&quot;name&quot; =&gt; &quot;random_order&quot;, &quot;caption&quot; =&gt; &quot;Random order&quot;, &quot;inputtype&quot; =&gt; &quot;singleselect&quot;, &quot;options&quot; =&gt; array(&quot;No&quot;, &quot;Yes&quot;), ...), array(&quot;name&quot; =&gt; &quot;hide_tip&quot;, &quot;caption&quot; =&gt; &quot;Hide tip&quot;, &quot;inputtype&quot; =&gt; &quot;switch&quot;, &quot;options&quot; =&gt; array(&quot;No&quot;, &quot;Yes&quot;), ...), ...), &quot;Logic&quot; =&gt; array(array(&quot;name&quot; =&gt; &quot;min_answers&quot;, &quot;caption&quot; =&gt; &quot;Minimum answers&quot;, &quot;inputtype&quot; =&gt; &quot;text&quot;, &quot;options&quot; =&gt; null, ...), array(&quot;name&quot; =&gt; &quot;max_answers&quot;, &quot;caption&quot; =&gt; &quot;Maximum answers&quot;, &quot;inputtype&quot; =&gt; &quot;text&quot;, &quot;options&quot; =&gt; null, ...), array(&quot;name&quot; =&gt; &quot;array_filter&quot;, &quot;caption&quot; =&gt; &quot;Array filter&quot;, &quot;inputtype&quot; =&gt; &quot;text&quot;, &quot;options&quot; =&gt; null, ...), array(&quot;name&quot; =&gt; &quot;array_filter_style&quot;, &quot;caption&quot; =&gt; &quot;Array filter style&quot;, &quot;inputtype&quot; =&gt; &quot;buttongroup&quot;, &quot;options&quot; =&gt; array(&quot;Hidden&quot;, &quot;Disabled&quot;), ...), ...), &quot;Other&quot; =&gt; array(array(&quot;name&quot; =&gt; &quot;page_break&quot;, &quot;caption&quot; =&gt; &quot;Insert page break in printable view&quot;, &quot;inputtype&quot; =&gt; &quot;switch&quot;, &quot;options&quot; =&gt; array(&quot;No&quot;, &quot;Yes&quot;), ...), array(&quot;name&quot; =&gt; &quot;scale_export&quot;, &quot;caption&quot; =&gt; &quot;SPSS export scale type&quot;, &quot;inputtype&quot; =&gt; &quot;singleselect&quot;, &quot;options&quot; =&gt; array(&quot;Default&quot;, &quot;Nominal&quot;, &quot;Ordinal&quot;, &quot;Scale&quot;), ...)), &quot;Statistics&quot; =&gt; array(array(&quot;name&quot; =&gt; &quot;public_statistics&quot;, &quot;caption&quot; =&gt; &quot;Show in public statistics&quot;, &quot;inputtype&quot; =&gt; &quot;switch&quot;, &quot;options&quot; =&gt; array(&quot;No&quot;, &quot;Yes&quot;), ...), array(&quot;name&quot; =&gt; &quot;statistics_showgraph&quot;, &quot;caption&quot; =&gt; &quot;Display chart&quot;, &quot;inputtype&quot; =&gt; &quot;switch&quot;, &quot;options&quot; =&gt; array(&quot;No&quot;, &quot;Yes&quot;), ...), array(&quot;name&quot; =&gt; &quot;statistics_graphtype&quot;, &quot;caption&quot; =&gt; &quot;Chart type&quot;, &quot;inputtype&quot; =&gt; &quot;singleselect&quot;, &quot;options&quot; =&gt; array(&quot;Bar chart&quot;, &quot;Pie chart&quot;, &quot;Radar&quot;, &quot;Line&quot;, ...), ...)))), true)				</div>

				<div class="code"><pre><span class="ln">090</span>     {
<span class="ln">091</span>         $widgetCount=count($this-&gt;_widgetStack);
<span class="ln">092</span>         if(($renderer=Yii::app()-&gt;getViewRenderer())!==null &amp;&amp; $renderer-&gt;fileExtension===&#039;.&#039;.CFileHelper::getExtension($viewFile))
<span class="ln">093</span>             $content=$renderer-&gt;renderFile($this,$viewFile,$data,$return);
<span class="ln">094</span>         else
<span class="error"><span class="ln error-ln">095</span>             $content=$this-&gt;renderInternal($viewFile,$data,$return);
</span><span class="ln">096</span>         if(count($this-&gt;_widgetStack)===$widgetCount)
<span class="ln">097</span>             return $content;
<span class="ln">098</span>         else
<span class="ln">099</span>         {
<span class="ln">100</span>             $widget=end($this-&gt;_widgetStack);
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CController.php(872): <strong>CBaseController</strong>-><strong>renderFile</strong>(&quot;/mnt/data/shnoulle/nginx/www/master/application/views/questionAd...&quot;, array(&quot;question&quot; =&gt; Question, &quot;oSurvey&quot; =&gt; Survey, &quot;advancedSettings&quot; =&gt; array(&quot;Display&quot; =&gt; array(array(&quot;name&quot; =&gt; &quot;repeat_headings&quot;, &quot;caption&quot; =&gt; &quot;Repeat headers&quot;, &quot;inputtype&quot; =&gt; &quot;integer&quot;, &quot;options&quot; =&gt; null, ...), array(&quot;name&quot; =&gt; &quot;answer_width&quot;, &quot;caption&quot; =&gt; &quot;(Sub-)question width&quot;, &quot;inputtype&quot; =&gt; &quot;integer&quot;, &quot;options&quot; =&gt; null, ...), array(&quot;name&quot; =&gt; &quot;random_order&quot;, &quot;caption&quot; =&gt; &quot;Random order&quot;, &quot;inputtype&quot; =&gt; &quot;singleselect&quot;, &quot;options&quot; =&gt; array(&quot;No&quot;, &quot;Yes&quot;), ...), array(&quot;name&quot; =&gt; &quot;hide_tip&quot;, &quot;caption&quot; =&gt; &quot;Hide tip&quot;, &quot;inputtype&quot; =&gt; &quot;switch&quot;, &quot;options&quot; =&gt; array(&quot;No&quot;, &quot;Yes&quot;), ...), ...), &quot;Logic&quot; =&gt; array(array(&quot;name&quot; =&gt; &quot;min_answers&quot;, &quot;caption&quot; =&gt; &quot;Minimum answers&quot;, &quot;inputtype&quot; =&gt; &quot;text&quot;, &quot;options&quot; =&gt; null, ...), array(&quot;name&quot; =&gt; &quot;max_answers&quot;, &quot;caption&quot; =&gt; &quot;Maximum answers&quot;, &quot;inputtype&quot; =&gt; &quot;text&quot;, &quot;options&quot; =&gt; null, ...), array(&quot;name&quot; =&gt; &quot;array_filter&quot;, &quot;caption&quot; =&gt; &quot;Array filter&quot;, &quot;inputtype&quot; =&gt; &quot;text&quot;, &quot;options&quot; =&gt; null, ...), array(&quot;name&quot; =&gt; &quot;array_filter_style&quot;, &quot;caption&quot; =&gt; &quot;Array filter style&quot;, &quot;inputtype&quot; =&gt; &quot;buttongroup&quot;, &quot;options&quot; =&gt; array(&quot;Hidden&quot;, &quot;Disabled&quot;), ...), ...), &quot;Other&quot; =&gt; array(array(&quot;name&quot; =&gt; &quot;page_break&quot;, &quot;caption&quot; =&gt; &quot;Insert page break in printable view&quot;, &quot;inputtype&quot; =&gt; &quot;switch&quot;, &quot;options&quot; =&gt; array(&quot;No&quot;, &quot;Yes&quot;), ...), array(&quot;name&quot; =&gt; &quot;scale_export&quot;, &quot;caption&quot; =&gt; &quot;SPSS export scale type&quot;, &quot;inputtype&quot; =&gt; &quot;singleselect&quot;, &quot;options&quot; =&gt; array(&quot;Default&quot;, &quot;Nominal&quot;, &quot;Ordinal&quot;, &quot;Scale&quot;), ...)), &quot;Statistics&quot; =&gt; array(array(&quot;name&quot; =&gt; &quot;public_statistics&quot;, &quot;caption&quot; =&gt; &quot;Show in public statistics&quot;, &quot;inputtype&quot; =&gt; &quot;switch&quot;, &quot;options&quot; =&gt; array(&quot;No&quot;, &quot;Yes&quot;), ...), array(&quot;name&quot; =&gt; &quot;statistics_showgraph&quot;, &quot;caption&quot; =&gt; &quot;Display chart&quot;, &quot;inputtype&quot; =&gt; &quot;switch&quot;, &quot;options&quot; =&gt; array(&quot;No&quot;, &quot;Yes&quot;), ...), array(&quot;name&quot; =&gt; &quot;statistics_graphtype&quot;, &quot;caption&quot; =&gt; &quot;Chart type&quot;, &quot;inputtype&quot; =&gt; &quot;singleselect&quot;, &quot;options&quot; =&gt; array(&quot;Bar chart&quot;, &quot;Pie chart&quot;, &quot;Radar&quot;, &quot;Line&quot;, ...), ...)))), true)				</div>

				<div class="code"><pre><span class="ln">867</span>      */
<span class="ln">868</span>     public function renderPartial($view,$data=null,$return=false,$processOutput=false)
<span class="ln">869</span>     {
<span class="ln">870</span>         if(($viewFile=$this-&gt;getViewFile($view))!==false)
<span class="ln">871</span>         {
<span class="error"><span class="ln error-ln">872</span>             $output=$this-&gt;renderFile($viewFile,$data,true);
</span><span class="ln">873</span>             if($processOutput)
<span class="ln">874</span>                 $output=$this-&gt;processOutput($output);
<span class="ln">875</span>             if($return)
<span class="ln">876</span>                 return $output;
<span class="ln">877</span>             else
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/views/questionAdministration/create.php(144): <strong>CController</strong>-><strong>renderPartial</strong>(&quot;advancedSettings&quot;, array(&quot;question&quot; =&gt; Question, &quot;oSurvey&quot; =&gt; Survey, &quot;advancedSettings&quot; =&gt; array(&quot;Display&quot; =&gt; array(array(&quot;name&quot; =&gt; &quot;repeat_headings&quot;, &quot;caption&quot; =&gt; &quot;Repeat headers&quot;, &quot;inputtype&quot; =&gt; &quot;integer&quot;, &quot;options&quot; =&gt; null, ...), array(&quot;name&quot; =&gt; &quot;answer_width&quot;, &quot;caption&quot; =&gt; &quot;(Sub-)question width&quot;, &quot;inputtype&quot; =&gt; &quot;integer&quot;, &quot;options&quot; =&gt; null, ...), array(&quot;name&quot; =&gt; &quot;random_order&quot;, &quot;caption&quot; =&gt; &quot;Random order&quot;, &quot;inputtype&quot; =&gt; &quot;singleselect&quot;, &quot;options&quot; =&gt; array(&quot;No&quot;, &quot;Yes&quot;), ...), array(&quot;name&quot; =&gt; &quot;hide_tip&quot;, &quot;caption&quot; =&gt; &quot;Hide tip&quot;, &quot;inputtype&quot; =&gt; &quot;switch&quot;, &quot;options&quot; =&gt; array(&quot;No&quot;, &quot;Yes&quot;), ...), ...), &quot;Logic&quot; =&gt; array(array(&quot;name&quot; =&gt; &quot;min_answers&quot;, &quot;caption&quot; =&gt; &quot;Minimum answers&quot;, &quot;inputtype&quot; =&gt; &quot;text&quot;, &quot;options&quot; =&gt; null, ...), array(&quot;name&quot; =&gt; &quot;max_answers&quot;, &quot;caption&quot; =&gt; &quot;Maximum answers&quot;, &quot;inputtype&quot; =&gt; &quot;text&quot;, &quot;options&quot; =&gt; null, ...), array(&quot;name&quot; =&gt; &quot;array_filter&quot;, &quot;caption&quot; =&gt; &quot;Array filter&quot;, &quot;inputtype&quot; =&gt; &quot;text&quot;, &quot;options&quot; =&gt; null, ...), array(&quot;name&quot; =&gt; &quot;array_filter_style&quot;, &quot;caption&quot; =&gt; &quot;Array filter style&quot;, &quot;inputtype&quot; =&gt; &quot;buttongroup&quot;, &quot;options&quot; =&gt; array(&quot;Hidden&quot;, &quot;Disabled&quot;), ...), ...), &quot;Other&quot; =&gt; array(array(&quot;name&quot; =&gt; &quot;page_break&quot;, &quot;caption&quot; =&gt; &quot;Insert page break in printable view&quot;, &quot;inputtype&quot; =&gt; &quot;switch&quot;, &quot;options&quot; =&gt; array(&quot;No&quot;, &quot;Yes&quot;), ...), array(&quot;name&quot; =&gt; &quot;scale_export&quot;, &quot;caption&quot; =&gt; &quot;SPSS export scale type&quot;, &quot;inputtype&quot; =&gt; &quot;singleselect&quot;, &quot;options&quot; =&gt; array(&quot;Default&quot;, &quot;Nominal&quot;, &quot;Ordinal&quot;, &quot;Scale&quot;), ...)), &quot;Statistics&quot; =&gt; array(array(&quot;name&quot; =&gt; &quot;public_statistics&quot;, &quot;caption&quot; =&gt; &quot;Show in public statistics&quot;, &quot;inputtype&quot; =&gt; &quot;switch&quot;, &quot;options&quot; =&gt; array(&quot;No&quot;, &quot;Yes&quot;), ...), array(&quot;name&quot; =&gt; &quot;statistics_showgraph&quot;, &quot;caption&quot; =&gt; &quot;Display chart&quot;, &quot;inputtype&quot; =&gt; &quot;switch&quot;, &quot;options&quot; =&gt; array(&quot;No&quot;, &quot;Yes&quot;), ...), array(&quot;name&quot; =&gt; &quot;statistics_graphtype&quot;, &quot;caption&quot; =&gt; &quot;Chart type&quot;, &quot;inputtype&quot; =&gt; &quot;singleselect&quot;, &quot;options&quot; =&gt; array(&quot;Bar chart&quot;, &quot;Pie chart&quot;, &quot;Radar&quot;, &quot;Line&quot;, ...), ...)))))				</div>

				<div class="code"><pre><span class="ln">139</span>                         &lt;?php $this-&gt;renderPartial(
<span class="ln">140</span>                             &quot;advancedSettings&quot;,
<span class="ln">141</span>                             [
<span class="ln">142</span>                                 &#039;question&#039;        =&gt; $oQuestion,
<span class="ln">143</span>                                 &#039;oSurvey&#039;          =&gt; $oSurvey,
<span class="error"><span class="ln error-ln">144</span>                                 &#039;advancedSettings&#039; =&gt; $advancedSettings,
</span><span class="ln">145</span>                             ]
<span class="ln">146</span>                         ); ?&gt;
<span class="ln">147</span>                     &lt;/div&gt;
<span class="ln">148</span> 
<span class="ln">149</span>                 &lt;/div&gt;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CBaseController.php(126): <strong>require</strong>(&quot;/mnt/data/shnoulle/nginx/www/master/application/views/questionAd...&quot;)				</div>

				<div class="code"><pre><span class="ln">121</span>             $data=$_data_;
<span class="ln">122</span>         if($_return_)
<span class="ln">123</span>         {
<span class="ln">124</span>             ob_start();
<span class="ln">125</span>             ob_implicit_flush(false);
<span class="error"><span class="ln error-ln">126</span>             require($_viewFile_);
</span><span class="ln">127</span>             return ob_get_clean();
<span class="ln">128</span>         }
<span class="ln">129</span>         else
<span class="ln">130</span>             require($_viewFile_);
<span class="ln">131</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#14			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CBaseController.php(95): <strong>CBaseController</strong>-><strong>renderInternal</strong>(&quot;/mnt/data/shnoulle/nginx/www/master/application/views/questionAd...&quot;, array(&quot;oSurvey&quot; =&gt; Survey, &quot;oQuestion&quot; =&gt; Question, &quot;questionTemplate&quot; =&gt; &quot;core&quot;, &quot;aQuestionTypeGroups&quot; =&gt; array(&quot;single_choice_questions&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Single choice questions&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;63&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/5pointchoice&quot;, ...), array(&quot;id&quot; =&gt; &quot;70&quot;, &quot;name&quot; =&gt; &quot;bootstrap_buttons&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;themes/question/bootstrap_buttons/survey/questions/answer/listra...&quot;, ...), array(&quot;id&quot; =&gt; &quot;58&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/list_dropdown&quot;, ...), array(&quot;id&quot; =&gt; &quot;39&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/listradio&quot;, ...), ...)), &quot;arrays&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Arrays&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;44&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/array&quot;, ...), array(&quot;id&quot; =&gt; &quot;45&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/5point&quot;, ...), array(&quot;id&quot; =&gt; &quot;41&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/10point&quot;, ...), array(&quot;id&quot; =&gt; &quot;49&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/increasesamedec...&quot;, ...), ...)), &quot;multiple_choice_questions&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Multiple choice questions&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;71&quot;, &quot;name&quot; =&gt; &quot;bootstrap_buttons&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;themes/question/bootstrap_buttons/survey/questions/answer/multip...&quot;, ...), array(&quot;id&quot; =&gt; &quot;66&quot;, &quot;name&quot; =&gt; &quot;image_select-multiplechoice&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;themes/question/image_select/survey/questions/answer/multiplecho...&quot;, ...), array(&quot;id&quot; =&gt; &quot;57&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/multiplechoice&quot;, ...), array(&quot;id&quot; =&gt; &quot;65&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/multiplechoice_with_co...&quot;, ...))), &quot;text_questions&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Text questions&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;72&quot;, &quot;name&quot; =&gt; &quot;cardSort&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;upload/themes/question/cardSort/survey/questions/answer/multiple...&quot;, ...), array(&quot;id&quot; =&gt; &quot;69&quot;, &quot;name&quot; =&gt; &quot;EmailInput&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;upload/themes/question/EmailInput/survey/questions/answer/shortf...&quot;, ...), array(&quot;id&quot; =&gt; &quot;60&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/hugefreetext&quot;, ...), array(&quot;id&quot; =&gt; &quot;52&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/longfreetext&quot;, ...), ...)), ...), ...), true)				</div>

				<div class="code"><pre><span class="ln">090</span>     {
<span class="ln">091</span>         $widgetCount=count($this-&gt;_widgetStack);
<span class="ln">092</span>         if(($renderer=Yii::app()-&gt;getViewRenderer())!==null &amp;&amp; $renderer-&gt;fileExtension===&#039;.&#039;.CFileHelper::getExtension($viewFile))
<span class="ln">093</span>             $content=$renderer-&gt;renderFile($this,$viewFile,$data,$return);
<span class="ln">094</span>         else
<span class="error"><span class="ln error-ln">095</span>             $content=$this-&gt;renderInternal($viewFile,$data,$return);
</span><span class="ln">096</span>         if(count($this-&gt;_widgetStack)===$widgetCount)
<span class="ln">097</span>             return $content;
<span class="ln">098</span>         else
<span class="ln">099</span>         {
<span class="ln">100</span>             $widget=end($this-&gt;_widgetStack);
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#15			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CController.php(872): <strong>CBaseController</strong>-><strong>renderFile</strong>(&quot;/mnt/data/shnoulle/nginx/www/master/application/views/questionAd...&quot;, array(&quot;oSurvey&quot; =&gt; Survey, &quot;oQuestion&quot; =&gt; Question, &quot;questionTemplate&quot; =&gt; &quot;core&quot;, &quot;aQuestionTypeGroups&quot; =&gt; array(&quot;single_choice_questions&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Single choice questions&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;63&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/5pointchoice&quot;, ...), array(&quot;id&quot; =&gt; &quot;70&quot;, &quot;name&quot; =&gt; &quot;bootstrap_buttons&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;themes/question/bootstrap_buttons/survey/questions/answer/listra...&quot;, ...), array(&quot;id&quot; =&gt; &quot;58&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/list_dropdown&quot;, ...), array(&quot;id&quot; =&gt; &quot;39&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/listradio&quot;, ...), ...)), &quot;arrays&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Arrays&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;44&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/array&quot;, ...), array(&quot;id&quot; =&gt; &quot;45&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/5point&quot;, ...), array(&quot;id&quot; =&gt; &quot;41&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/10point&quot;, ...), array(&quot;id&quot; =&gt; &quot;49&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/increasesamedec...&quot;, ...), ...)), &quot;multiple_choice_questions&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Multiple choice questions&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;71&quot;, &quot;name&quot; =&gt; &quot;bootstrap_buttons&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;themes/question/bootstrap_buttons/survey/questions/answer/multip...&quot;, ...), array(&quot;id&quot; =&gt; &quot;66&quot;, &quot;name&quot; =&gt; &quot;image_select-multiplechoice&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;themes/question/image_select/survey/questions/answer/multiplecho...&quot;, ...), array(&quot;id&quot; =&gt; &quot;57&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/multiplechoice&quot;, ...), array(&quot;id&quot; =&gt; &quot;65&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/multiplechoice_with_co...&quot;, ...))), &quot;text_questions&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Text questions&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;72&quot;, &quot;name&quot; =&gt; &quot;cardSort&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;upload/themes/question/cardSort/survey/questions/answer/multiple...&quot;, ...), array(&quot;id&quot; =&gt; &quot;69&quot;, &quot;name&quot; =&gt; &quot;EmailInput&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;upload/themes/question/EmailInput/survey/questions/answer/shortf...&quot;, ...), array(&quot;id&quot; =&gt; &quot;60&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/hugefreetext&quot;, ...), array(&quot;id&quot; =&gt; &quot;52&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/longfreetext&quot;, ...), ...)), ...), ...), true)				</div>

				<div class="code"><pre><span class="ln">867</span>      */
<span class="ln">868</span>     public function renderPartial($view,$data=null,$return=false,$processOutput=false)
<span class="ln">869</span>     {
<span class="ln">870</span>         if(($viewFile=$this-&gt;getViewFile($view))!==false)
<span class="ln">871</span>         {
<span class="error"><span class="ln error-ln">872</span>             $output=$this-&gt;renderFile($viewFile,$data,true);
</span><span class="ln">873</span>             if($processOutput)
<span class="ln">874</span>                 $output=$this-&gt;processOutput($output);
<span class="ln">875</span>             if($return)
<span class="ln">876</span>                 return $output;
<span class="ln">877</span>             else
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#16			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CController.php(785): <strong>CController</strong>-><strong>renderPartial</strong>(&quot;create&quot;, array(&quot;oSurvey&quot; =&gt; Survey, &quot;oQuestion&quot; =&gt; Question, &quot;questionTemplate&quot; =&gt; &quot;core&quot;, &quot;aQuestionTypeGroups&quot; =&gt; array(&quot;single_choice_questions&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Single choice questions&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;63&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/5pointchoice&quot;, ...), array(&quot;id&quot; =&gt; &quot;70&quot;, &quot;name&quot; =&gt; &quot;bootstrap_buttons&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;themes/question/bootstrap_buttons/survey/questions/answer/listra...&quot;, ...), array(&quot;id&quot; =&gt; &quot;58&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/list_dropdown&quot;, ...), array(&quot;id&quot; =&gt; &quot;39&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/listradio&quot;, ...), ...)), &quot;arrays&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Arrays&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;44&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/array&quot;, ...), array(&quot;id&quot; =&gt; &quot;45&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/5point&quot;, ...), array(&quot;id&quot; =&gt; &quot;41&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/10point&quot;, ...), array(&quot;id&quot; =&gt; &quot;49&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/increasesamedec...&quot;, ...), ...)), &quot;multiple_choice_questions&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Multiple choice questions&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;71&quot;, &quot;name&quot; =&gt; &quot;bootstrap_buttons&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;themes/question/bootstrap_buttons/survey/questions/answer/multip...&quot;, ...), array(&quot;id&quot; =&gt; &quot;66&quot;, &quot;name&quot; =&gt; &quot;image_select-multiplechoice&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;themes/question/image_select/survey/questions/answer/multiplecho...&quot;, ...), array(&quot;id&quot; =&gt; &quot;57&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/multiplechoice&quot;, ...), array(&quot;id&quot; =&gt; &quot;65&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/multiplechoice_with_co...&quot;, ...))), &quot;text_questions&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Text questions&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;72&quot;, &quot;name&quot; =&gt; &quot;cardSort&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;upload/themes/question/cardSort/survey/questions/answer/multiple...&quot;, ...), array(&quot;id&quot; =&gt; &quot;69&quot;, &quot;name&quot; =&gt; &quot;EmailInput&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;upload/themes/question/EmailInput/survey/questions/answer/shortf...&quot;, ...), array(&quot;id&quot; =&gt; &quot;60&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/hugefreetext&quot;, ...), array(&quot;id&quot; =&gt; &quot;52&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/longfreetext&quot;, ...), ...)), ...), ...), true)				</div>

				<div class="code"><pre><span class="ln">780</span>      */
<span class="ln">781</span>     public function render($view,$data=null,$return=false)
<span class="ln">782</span>     {
<span class="ln">783</span>         if($this-&gt;beforeRender($view))
<span class="ln">784</span>         {
<span class="error"><span class="ln error-ln">785</span>             $output=$this-&gt;renderPartial($view,$data,true);
</span><span class="ln">786</span>             if(($layoutFile=$this-&gt;getLayoutFile($this-&gt;layout))!==false)
<span class="ln">787</span>                 $output=$this-&gt;renderFile($layoutFile,array(&#039;content&#039;=&gt;$output),true);
<span class="ln">788</span> 
<span class="ln">789</span>             $this-&gt;afterRender($view,$output);
<span class="ln">790</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#17			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/controllers/QuestionAdministrationController.php(258): <strong>CController</strong>-><strong>render</strong>(&quot;create&quot;, array(&quot;oSurvey&quot; =&gt; Survey, &quot;oQuestion&quot; =&gt; Question, &quot;questionTemplate&quot; =&gt; &quot;core&quot;, &quot;aQuestionTypeGroups&quot; =&gt; array(&quot;single_choice_questions&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Single choice questions&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;63&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/5pointchoice&quot;, ...), array(&quot;id&quot; =&gt; &quot;70&quot;, &quot;name&quot; =&gt; &quot;bootstrap_buttons&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;themes/question/bootstrap_buttons/survey/questions/answer/listra...&quot;, ...), array(&quot;id&quot; =&gt; &quot;58&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/list_dropdown&quot;, ...), array(&quot;id&quot; =&gt; &quot;39&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/listradio&quot;, ...), ...)), &quot;arrays&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Arrays&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;44&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/array&quot;, ...), array(&quot;id&quot; =&gt; &quot;45&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/5point&quot;, ...), array(&quot;id&quot; =&gt; &quot;41&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/10point&quot;, ...), array(&quot;id&quot; =&gt; &quot;49&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/arrays/increasesamedec...&quot;, ...), ...)), &quot;multiple_choice_questions&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Multiple choice questions&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;71&quot;, &quot;name&quot; =&gt; &quot;bootstrap_buttons&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;themes/question/bootstrap_buttons/survey/questions/answer/multip...&quot;, ...), array(&quot;id&quot; =&gt; &quot;66&quot;, &quot;name&quot; =&gt; &quot;image_select-multiplechoice&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;themes/question/image_select/survey/questions/answer/multiplecho...&quot;, ...), array(&quot;id&quot; =&gt; &quot;57&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/multiplechoice&quot;, ...), array(&quot;id&quot; =&gt; &quot;65&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/multiplechoice_with_co...&quot;, ...))), &quot;text_questions&quot; =&gt; array(&quot;questionGroupName&quot; =&gt; &quot;Text questions&quot;, &quot;questionTypes&quot; =&gt; array(array(&quot;id&quot; =&gt; &quot;72&quot;, &quot;name&quot; =&gt; &quot;cardSort&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;upload/themes/question/cardSort/survey/questions/answer/multiple...&quot;, ...), array(&quot;id&quot; =&gt; &quot;69&quot;, &quot;name&quot; =&gt; &quot;EmailInput&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;upload/themes/question/EmailInput/survey/questions/answer/shortf...&quot;, ...), array(&quot;id&quot; =&gt; &quot;60&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/hugefreetext&quot;, ...), array(&quot;id&quot; =&gt; &quot;52&quot;, &quot;name&quot; =&gt; &quot;core&quot;, &quot;visible&quot; =&gt; &quot;Y&quot;, &quot;xml_path&quot; =&gt; &quot;application/views/survey/questions/answer/longfreetext&quot;, ...), ...)), ...), ...))				</div>

				<div class="code"><pre><span class="ln">253</span>         ];
<span class="ln">254</span> 
<span class="ln">255</span>         $this-&gt;aData = array_merge($this-&gt;aData, $viewData);
<span class="ln">256</span> 
<span class="ln">257</span>         $this-&gt;render(
<span class="error"><span class="ln error-ln">258</span>             &#039;create&#039;,
</span><span class="ln">259</span>             $viewData
<span class="ln">260</span>         );
<span class="ln">261</span>     }
<span class="ln">262</span> 
<span class="ln">263</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#18			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/controllers/QuestionAdministrationController.php(146): <strong>QuestionAdministrationController</strong>-><strong>renderFormAux</strong>(Question)				</div>

				<div class="code"><pre><span class="ln">141</span>                 &#039;qid&#039; =&gt; $question-&gt;qid,
<span class="ln">142</span>                 &#039;landOnSideMenuTab&#039; =&gt; &#039;structure&#039;
<span class="ln">143</span>             ]
<span class="ln">144</span>         );
<span class="ln">145</span>         $this-&gt;aData[&#039;tabOverviewEditor&#039;] = $tabOverviewEditor;
<span class="error"><span class="ln error-ln">146</span>         $this-&gt;renderFormAux($question);
</span><span class="ln">147</span>     }
<span class="ln">148</span> 
<span class="ln">149</span>     /**
<span class="ln">150</span>      * Helper function to render form.
<span class="ln">151</span>      * Used by create and edit actions.
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#19			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/controllers/QuestionAdministrationController.php(68): <strong>QuestionAdministrationController</strong>-><strong>actionEdit</strong>(5887)				</div>

				<div class="code"><pre><span class="ln">63</span>      *
<span class="ln">64</span>      * @throws CException
<span class="ln">65</span>      */
<span class="ln">66</span>     public function actionView($surveyid, $gid = null, $qid = null, $landOnSideMenuTab = &#039;structure&#039;)
<span class="ln">67</span>     {
<span class="error"><span class="ln error-ln">68</span>         $this-&gt;actionEdit($qid);
</span><span class="ln">69</span>     }
<span class="ln">70</span> 
<span class="ln">71</span>     /**
<span class="ln">72</span>      * Show form to create new question.
<span class="ln">73</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#20			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>QuestionAdministrationController</strong>-><strong>actionView</strong>(&quot;446632&quot;, &quot;415&quot;, &quot;5887&quot;, &quot;structure&quot;)				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#21			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/actions/CAction.php(109): <strong>ReflectionMethod</strong>-><strong>invokeArgs</strong>(QuestionAdministrationController, array(&quot;446632&quot;, &quot;415&quot;, &quot;5887&quot;, &quot;structure&quot;))				</div>

				<div class="code"><pre><span class="ln">104</span>             elseif($param-&gt;isDefaultValueAvailable())
<span class="ln">105</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">106</span>             else
<span class="ln">107</span>                 return false;
<span class="ln">108</span>         }
<span class="error"><span class="ln error-ln">109</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">110</span>         return true;
<span class="ln">111</span>     }
<span class="ln">112</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#22			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/actions/CInlineAction.php(47): <strong>CAction</strong>-><strong>runWithParamsInternal</strong>(QuestionAdministrationController, ReflectionMethod, array(&quot;surveyid&quot; =&gt; &quot;446632&quot;, &quot;gid&quot; =&gt; &quot;415&quot;, &quot;qid&quot; =&gt; &quot;5887&quot;))				</div>

				<div class="code"><pre><span class="ln">42</span>     {
<span class="ln">43</span>         $methodName=&#039;action&#039;.$this-&gt;getId();
<span class="ln">44</span>         $controller=$this-&gt;getController();
<span class="ln">45</span>         $method=new ReflectionMethod($controller, $methodName);
<span class="ln">46</span>         if($method-&gt;getNumberOfParameters()&gt;0)
<span class="error"><span class="ln error-ln">47</span>             return $this-&gt;runWithParamsInternal($controller, $method, $params);
</span><span class="ln">48</span> 
<span class="ln">49</span>         $controller-&gt;$methodName();
<span class="ln">50</span>         return true;
<span class="ln">51</span>     }
<span class="ln">52</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#23			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CController.php(308): <strong>CInlineAction</strong>-><strong>runWithParams</strong>(array(&quot;surveyid&quot; =&gt; &quot;446632&quot;, &quot;gid&quot; =&gt; &quot;415&quot;, &quot;qid&quot; =&gt; &quot;5887&quot;))				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#24			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CController.php(286): <strong>CController</strong>-><strong>runAction</strong>(CInlineAction)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#25			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CController.php(265): <strong>CController</strong>-><strong>runActionWithFilters</strong>(CInlineAction, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#26			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/controllers/LSBaseController.php(160): <strong>CController</strong>-><strong>run</strong>(&quot;view&quot;)				</div>

				<div class="code"><pre><span class="ln">155</span>                     $this-&gt;redirect(array(&#039;/admin/authentication/sa/login&#039;));
<span class="ln">156</span>                 }
<span class="ln">157</span>             }
<span class="ln">158</span>         }
<span class="ln">159</span> 
<span class="error"><span class="ln error-ln">160</span>         parent::run($action);
</span><span class="ln">161</span>     }
<span class="ln">162</span> 
<span class="ln">163</span>     /**
<span class="ln">164</span>      * Load and set session vars
<span class="ln">165</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#27			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CWebApplication.php(282): <strong>LSBaseController</strong>-><strong>run</strong>(&quot;view&quot;)				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t(&#039;yii&#039;,&#039;Unable to resolve the request &quot;{route}&quot;.&#039;,
<span class="ln">287</span>                 array(&#039;{route}&#039;=&gt;$route===&#039;&#039;?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#28			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-><strong>runController</strong>(&quot;questionAdministration/view&quot;)				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#29			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-><strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler(&#039;onBeginRequest&#039;))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,&#039;end&#039;),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler(&#039;onEndRequest&#039;))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#30			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/index.php(182): <strong>CApplication</strong>-><strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">177</span> require_once APPPATH . &#039;core/LSYii_Application&#039; . EXT;
<span class="ln">178</span> 
<span class="ln">179</span> $config = require_once(APPPATH . &#039;config/internal&#039; . EXT);
<span class="ln">180</span> 
<span class="ln">181</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">182</span> Yii::createApplication(&#039;LSYii_Application&#039;, $config)-&gt;run();
</span><span class="ln">183</span> 
<span class="ln">184</span> /* End of file index.php */
<span class="ln">185</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</table>
	</div>

	<div class="version">
		2021-03-01 07:51:02 nginx/1.18.0 <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.22-dev	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>

</body>
</html>
Twig_Error_RuntimeError.html (72,495 bytes)   
ollehar

ollehar

2021-03-10 22:28

administrator   ~63197

You had a suggested fix, Denis?
DenisChenu

DenisChenu

2021-03-11 08:06

developer   ~63262

No

But i like set default value in model

in init : https://github.com/LimeSurvey/LimeSurvey/blob/89d3866d8bc9102020e96884a1b7c7a61982298c/application/models/Survey.php#L190-L193
https://github.com/LimeSurvey/LimeSurvey/blob/89d3866d8bc9102020e96884a1b7c7a61982298c/application/models/Token.php#L72

or directly in Class constructor (but best in init i think)
c_schmitz

c_schmitz

2021-03-22 18:25

administrator   ~63559

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31373
lime_release_bot

lime_release_bot

2021-03-29 12:31

administrator   ~63681

Fixed in Release 4.4.15+210329

Related Changesets

LimeSurvey: master b1d679eb

2021-03-22 18:25:12

c_schmitz

Details Diff
Fixed issue 17144: Can't edit questions after import Affected Issues
17144
mod - application/models/Question.php Diff File

Issue History

Date Modified Username Field Change
2021-02-28 19:57 dangc New Issue
2021-02-28 19:57 dangc File Added: limesurvey_survey_839658.lss
2021-03-01 08:53 DenisChenu Note Added: 62568
2021-03-01 08:53 DenisChenu File Added: Twig_Error_RuntimeError.html
2021-03-01 08:53 DenisChenu File Added: Capture d’écran du 2021-03-01 08-52-15.png
2021-03-01 08:53 DenisChenu Status new => confirmed
2021-03-10 22:27 ollehar Priority none => high
2021-03-10 22:28 ollehar Note Added: 63197
2021-03-11 08:06 DenisChenu Note Added: 63262
2021-03-15 10:16 ollehar Product Version => 4.4.12
2021-03-22 18:25 c_schmitz Changeset attached => LimeSurvey master b1d679eb
2021-03-22 18:25 c_schmitz Note Added: 63559
2021-03-22 18:25 c_schmitz Assigned To => c_schmitz
2021-03-22 18:25 c_schmitz Resolution open => fixed
2021-03-22 18:25 c_schmitz Status confirmed => resolved
2021-03-29 12:31 lime_release_bot Note Added: 63681
2021-03-29 12:31 lime_release_bot Status resolved => closed